<template>
  <el-table-column :prop="prop" :label="label">
    <template slot-scope="{row}">
      <span :class="color[row[prop]]">{{row[prop]}}</span>
    </template>
  </el-table-column>
</template>
<script>
export default {
  data() {
    return {};
  },
  computed: {},
  props: {
    prop: {},
    label: {},
    color: {
      default() {
        return {
          [true]: "text-green-500",
          [false]: "text-red-500"
        };
      }
    }
  },
  watch: {},
  methods: {},
  components: {},
  mounted() {}
};
</script>
<style lang="less">
</style>
